%define module_name rt2500

Name:		dkms-%{module_name}
Version:	1.4.4.0
Release:	2mdk
Summary:	DKMS-ready kernel-source for the RT2500 driver
License:	GPL
URL:		http://www.ralinktech.com/supp-1.htm
Source:		http://www.ralinktech.com/drivers/Linux/RT2500-Linux-STA-%{version}.tar.bz2
Group:		System/Kernel and hardware
Requires(pre):	dkms
Requires(post): dkms
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Buildarch:	noarch

%description
Driver for the Ralink RT2500 802.11g chipset

%prep
%setup -q -n RT2500-Linux-STA-%{version}

%build

%clean
rm -fr $RPM_BUILD_ROOT

%install
mkdir -p %{buildroot}/usr/src/%{module_name}-%{version}-%{release}
cp -a STA/Module/* %{buildroot}/usr/src/%{module_name}-%{version}-%{release}
cp -af STA/Module/2.6.x/Makefile %{buildroot}/usr/src/%{module_name}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module_name}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module_name}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"

DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless/"

MODULES_CONF_ALIAS_TYPE[0]="ra"

REMAKE_INITRD="no"
AUTOINSTALL=yes

EOF

%post
   dkms add -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
   dkms build -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
   dkms install -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade --all ||:

%files
%defattr(-,root,root)
/usr/src/%{module_name}-%{version}-%{release}

%changelog
* Sat Jan 15 2005 Stefan van der Eijk <stefan@mandrake.org> 1.4.4.0-2mdk
- changed name to fit policy
- added %%{version} to dkms module version

* Sat Dec 25 2004 Pascal Terjan <pterjan@mandrake.org> 1.4.4.0-1mdk
- First mdk package, based on Buchan's ipw packages
